OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.BlendingFactor

Description

This is a purely internal module for (un-)marshaling BlendingFactor.

# Documentation

data BlendingFactor Source

Constructors

Zero |
One |
SrcColor |
OneMinusSrcColor |
DstColor |
OneMinusDstColor |
SrcAlpha |
OneMinusSrcAlpha |
DstAlpha |
OneMinusDstAlpha |
ConstantColor |
OneMinusConstantColor |
ConstantAlpha |
OneMinusConstantAlpha |
SrcAlphaSaturate |

Instances

Eq BlendingFactor |
Ord BlendingFactor |
Show BlendingFactor |

marshalBlendingFactor :: BlendingFactor -> GLenum Source

unmarshalBlendingFactor :: GLenum -> BlendingFactor Source